%global momorel 2
%global qtver 3.3.7
%global kdever 3.5.6
%global kdelibsrel 6m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 4f9fd65a651c9c0480c23bf60e84f87d

Summary: KDE configuration for synaptics module
Name: ksynaptics
Version: 0.3.3
Release: %{momorel}m%{?dist}
License: GPL
URL: http://qsynaptics.sourceforge.net/
Group: Applications/System
%NoSource 0 http://qsynaptics.sourceforge.net/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Patch0: %{name}-%{version}-autostart-false.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: synaptics >= 0.14.4
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: libsynaptics-devel
BuildPreReq: gettext
BuildPreReq: desktop-file-utils

%description
KSynaptics (previously QSynaptics) is a Qt/KDE based configuration
utility for the synaptics touchpad drivers. 

%prep
%setup -q

%patch0 -p1 -b .disable-autostart-at-default

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INDEX INSTALL README TODO
%{_bindir}/syndock
%{_libdir}/kde3/kcm_ksynaptics.la
%{_libdir}/kde3/kcm_ksynaptics.so
%{_libdir}/kde3/syndock.la
%{_libdir}/kde3/syndock.so
%{_libdir}/libkdeinit_syndock.la
%{_libdir}/libkdeinit_syndock.so
%{_datadir}/applications/kde/ksynaptics.desktop
%{_datadir}/autostart/syndock.desktop
%{_datadir}/config.kcfg/kcm_ksynaptics.kcfg
%{_datadir}/icons/*/*/*/ksynaptics.png
%{_datadir}/icons/*/*/*/syndockdisabled.png
%{_datadir}/locale/*/LC_MESSAGES/kcmksynaptics.mo

%changelog
* Tue Mar 20 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.3-2m)
- add autostart-false.patch

* Tue Mar 20 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.3-1m)
- initial package for Momonga Linux
